﻿// <auto-generated> This file has been auto generated by EF Core Power Tools. </auto-generated>
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace MundoCalcado.Domain.Entities
{
    public partial class Color
    {
        [Key]
        public int IdColor { get; set; }
        [Required]
        [StringLength(50)]
        public string Name { get; set; }
        [StringLength(15)]
        public string Hex { get; set; }
        [StringLength(50)]
        public string Rgb { get; set; }

        [InverseProperty("Color")]
        public virtual ProdColor ProdColor { get; set; }
    }
}